package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* 举报记录表
* @TableName community_report
*/
@TableName("community_report")
@Data
public class CommunityReport implements Serializable {

    /**
    * 唯一id
    */
    @NotNull(message="[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    @TableId("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
    * 举报字典编码
    */
    @ApiModelProperty("举报字典编码")
    private Long reportCode;
    /**
    * 关联的文章id
    */
    @ApiModelProperty("关联的文章id")
    private Long articleId;
    /**
    * 举报照片
    */
    @Size(max= -1,message="编码长度不能超过-1")
    @ApiModelProperty("举报照片")
    @Length(max= -1,message="编码长度不能超过-1")
    private String reportImages;
    /**
    * 描述
    */
    @Size(max= -1,message="编码长度不能超过-1")
    @ApiModelProperty("描述")
    @Length(max= -1,message="编码长度不能超过-1")
    private String remark;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createBy;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createTime;
}
