package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
* 
* @TableName community_return_record
*/
@Data
@TableName("community_return_record")
public class CommunityReturnRecord implements Serializable {

    /**
    * 标签id
    */
    @NotNull(message="[标签id]不能为空")
    @ApiModelProperty("标签id")
    @TableId("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
    * 返图用户id
    */
    @ApiModelProperty("返图用户id")
    private Long returnId;

    /**
     * 返图用户id
     */
    @ApiModelProperty("返图用户备注")
    private String returnRemark;

    /**
     * 扫码者用户id
     */
    @ApiModelProperty("扫码者用户id")
    private Long receiverId;

    /**
     * 返图用户id
     */
    @ApiModelProperty("扫码者用户备注")
    private String receiverRemark;

    /**
     * 创建人
     */
    @ApiModelProperty("状态")
    private boolean status;

    /**
     * 是否已删除
     */
    @ApiModelProperty("是否已删除")
    private boolean isDelete;

    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createBy;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
    * 更新人
    */
    @ApiModelProperty("更新人")
    private Long updateBy;
    /**
    * 更新时间
    */
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
