package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 用户 隐私设置表 By Qing
 * @TableName community_user_privacy
 */
@Data
@TableName("community_user_privacy")
public class CommunityUserPrivacy implements Serializable  {
    /**
     * 唯一id
     */
    @NotNull(message = "[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    @TableId(type = IdType.AUTO, value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("只允许我关注的人评论我")
    private Boolean isComment;

    /**
     * 只允许我关注的人@我
     */
    @ApiModelProperty("只允许我关注的人@我")
    private Boolean isCircle;

    /**
     * 我的作品
     */
    @ApiModelProperty("我的作品")
    private Boolean isWorks;

    /**
     * 我的合集
     */
    @ApiModelProperty("我的合集")
    private Boolean isCollection;

    /**
     * 我的喜欢
     */
    @ApiModelProperty("我的喜欢")
    private Boolean isLike;

    /**
     * 我的收藏
     */
    @ApiModelProperty("我的收藏")
    private Boolean isCompilation;

    /**
     * 账户搜索
     */
    @ApiModelProperty("账户搜索")
    private Boolean isAccounts;

    /**
     * 名称搜索
     */
    @ApiModelProperty("名称搜索")
    private Boolean isNames;

}
