package com.ruoyi.generator.mapper.community;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.generator.domain.Community.CommunityCollection;
import com.ruoyi.generator.vo.CommunityCollectionVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CommunityCollectionMapper extends BaseMapper<CommunityCollection> {
    /**
     * 用户合集
     *
     * @param userId 用户id
     * @return 用户合集信息
     */
    List<CommunityCollectionVo> selectUserCollection(@Param("userId") Long userId, @Param("articleId") Long articleId);

    /**
     * 获取文章对应的合集信息
     * @param userId 用户id
     * @param articleId 文章id
     * @return 合集信息
     */
    CommunityCollectionVo selectCollectById(@Param("userId") Long userId, @Param("articleId") Long articleId);
}
