package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.generator.domain.Community.CommunityCollection;
import com.ruoyi.generator.domain.Community.CommunityCollectionUser;
import com.ruoyi.generator.domain.Community.CommunityTagBlock;
import com.ruoyi.generator.mapper.community.CommunityCollectionMapper;
import com.ruoyi.generator.mapper.community.CommunityCollectionUserMapper;
import com.ruoyi.generator.mapper.community.CommunityTagBlockMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CommunityCollectionUserImpl extends ServiceImpl<CommunityCollectionUserMapper, CommunityCollectionUser> implements ICommunityCollectionUserService {

    @Autowired
    private CommunityCollectionUserMapper communityCollectionUserMapper;

    @Autowired
    private CommunityCollectionMapper communityCollectionMapper;

    @Override
    public CommunityCollectionUser subscribeCollection(CommunityCollectionUser communityCollectionUser) {

        //不能关注自己创建的合集
        CommunityCollection communityCollection = communityCollectionMapper.selectOne(new QueryWrapper<CommunityCollection>()
                .eq("id", communityCollectionUser.getCollectionId())
                .eq("create_by", communityCollectionUser.getUserId())
                .and((wrapper) -> {
                    wrapper.ne("is_delete", true)
                            .or()
                            .isNull("is_delete");
                }));

        if (communityCollection != null){
            return  null;
        }


        CommunityCollectionUser collectionUser = communityCollectionUserMapper.selectOne(new QueryWrapper<CommunityCollectionUser>()
                .eq("user_id", communityCollectionUser.getUserId())
                .eq("collection_id", communityCollectionUser.getCollectionId()));

        if (collectionUser != null) {
            Boolean isdelete = false;
            //是否取关
            if (!collectionUser.isDelete()) {
               isdelete = true;
            }
            collectionUser.setDelete(isdelete);
            collectionUser.setUpdateBy(communityCollectionUser.getUserId());
            collectionUser.setUpdateTime(DateUtils.parseDate(DateUtils.getTime()));
            communityCollectionUserMapper.updateById(collectionUser);
            return collectionUser;
        }

        //新增记录
        collectionUser = new CommunityCollectionUser();
        BeanUtils.copyProperties(communityCollectionUser, collectionUser);
        collectionUser.setCreateBy(communityCollectionUser.getUserId());
        collectionUser.setCreateTime(DateUtils.parseDate(DateUtils.getTime()));
        communityCollectionUserMapper.insert(collectionUser);
        return collectionUser;

    }
}
