package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.generator.domain.Community.CommunityUserBlock;
import com.ruoyi.generator.mapper.community.CommunityUserBlockMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CommunityUserBlockServiceImpl extends ServiceImpl<CommunityUserBlockMapper, CommunityUserBlock> implements ICommunityUserBlockService {

    @Autowired
    private CommunityUserBlockMapper communityUserBlockMapper;



    /**
     * 拉黑用户
     *
     * @param communityUserBlock 拉黑用户记录
     */
    @Override
    public CommunityUserBlock blockUser(CommunityUserBlock communityUserBlock) {
        CommunityUserBlock userBlock = communityUserBlockMapper.selectOne(new QueryWrapper<CommunityUserBlock>()
                .eq("user_id", communityUserBlock.getUserId())
                .eq("peer_id", communityUserBlock.getPeerId()));

        if (userBlock != null) {
            //是否拉黑
            if (communityUserBlock.isBlock() == userBlock.isBlock()) {
                return communityUserBlock;
            }
            userBlock.setBlock(communityUserBlock.isBlock());
            userBlock.setUpdateBy(communityUserBlock.getUserId());
            userBlock.setUpdateTime(DateUtils.parseDate(DateUtils.getTime()));
            communityUserBlockMapper.updateById(userBlock);
            return userBlock;
        }

        //新增记录
        userBlock = new CommunityUserBlock();
        BeanUtils.copyProperties(communityUserBlock, userBlock);
        userBlock.setCreateBy(communityUserBlock.getUserId());
        userBlock.setCreateTime(DateUtils.parseDate(DateUtils.getTime()));
        communityUserBlockMapper.insert(userBlock);
        return userBlock;
    }
}
